using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Auth
{
    [Table("wcs_sys_user")]
    public class SysUser
    {
        [Key]
        [Column("OBJID")]
        public long? OBJID { get; set; }

        [Column("USER_NAME")]
        public string UserName { get; set; }

        [Column("NICK_NAME")]
        public string NickName { get; set; }

        [Column("STATUS")]
        public int Status { get; set; }

        [Column("USER_PWD")]
        public string Password { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }
    }
}
